package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HotSearch;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HotSearchMapper")
public interface HotSearchMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HotSearch record);

    HotSearch selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HotSearch record);

    List<HotSearch> queryAllHotSearch(HotSearch record);

    List<HotSearch> queryHotSearchByPage(Map<String, Object> parameter);

    int delete(String id);

    HotSearch queryHotSearch(HotSearch record);

    List<HotSearch> query(HotSearch record);
}

